#+TITLE: Realization Catalog 
#+AUTHOR: VLEAD
#+DATE: [2018-11-29 Thu]
#+SETUPFILE: ./org-templates/level-0.org
#+TAGS: boilerplate(b)
#+EXCLUDE_TAGS: boilerplate
#+OPTIONS: ^:nil

* Introduction
* Code
#+NAME: realization-catalog
#+BEGIN_SRC js
var realizationCatalog = {
	"Undirected Graph Illustration": {
		"resource_type": "Image",
		"url": "/build/code/static/img/undirected_graph.jpeg",
	},
	"Directed Graph Illustration": {
		"resource_type": "Image",
		"url": "/build/code/static/img/directed_graph.jpeg",
	},
	"Queue Illustration": {
		"resource_type": "Image",
		"url": "/build/code/static/img/queue_operations.jpeg",
	},
	"Dijkstra’s Demo": {
		"reqs_satisfied": "provides an interactive demonstration artefact for construction of a Binary Serach Tree",
		"resource_type": "html",
		"url": "/build/code/runtime/html/DijkstrasDemo.html",
	},
	"Practice : Dijkstra’s Algorithm": {
		"reqs_satisfied": "Provides an artefact to practice dijkstra's algorithm",
		"resource_type": "html",
		"url": "/build/code/runtime/html/DijkstrasPractice.html"
	},
	"Exercise : Dijkstra’s Algorithm": {
		"reqs_satisfied": "Provides an artefact to exercise dijkstra's algorithm",
		"resource_type": "html",
		"url": "/build/code/runtime/html/DijkstrasExercise.html"
	},
	"Dijkstra’s Algorithm Complexity": {
		"reqs_satisfied": "Provides an artefact to demonstrate Dijkstra’s Algorithm's Complexity",
		"resource_type": "html",
		"url": "/build/code/static/img/pseudo_algo.jpeg"
	},
	"Comparison Graphs": {
		"reqs_satisfied": "Provides an image artefact to demonstrate and compare Dijkstra’s Algorithm's Complexity with respect to other shortest path algorithms",
		"resource_type": "html",
		"url": "/build/code/static/img/comparison_graph.jpeg",
	},
	
	"Analysis of Dijkstra’s Algorithm": {
	    "resource_type": "video",
	    "url": "https://www.youtube.com/embed/_7l9K9xys0o"
    },

    "Dijkstra's Algorithm": {
	    "resource_type": "video",
	    "url": "https://www.youtube.com/embed/cbPHkqTP2KM"
    },

    "Dijkstra’s Algorithm overview": {
	    "resource_type": "video",
	    "url": "https://www.youtube.com/embed/SsBL5SGilfU"
    },

    "Dijkstra’s Algorithm Introduction": {
	    "resource_type": "video",
	    "url": "https://www.youtube.com/embed/_wOeahXmiSY"
    }
}
#+END_SRC

* Tangle                                      
#+BEGIN_SRC js :tangle js/realization.js :eval no :noweb yes
<<realization-catalog>>
#+END_SRC


